Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#2446 closed enhancement (fixed)

Remove M32R Architectural Port

Reported by: Joel Sherrill Owned by: Joel Sherrill
Priority: normal Milestone: 5.1
Component: unspecified Version: 4.11
Severity: normal Keywords: obsolete, target
Cc: Blocked By:
Blocking:

Description (last modified by Joel Sherrill)

Remove the M32R port per the instructions at ​https://devel.rtems.org/wiki/Developer/Removing_a_Port.

All BSPa must be removed before the architectural port can be removed.
These are tracked by the following tickets:

#2447 - m32rsim

Rationale: The M32R port is incomplete, appears to have no users, and the CPU architecture is end-of-lifed.

Change History (6)

comment:1 Changed on 11/03/15 at 14:42:47 by Joel Sherrill

Description: modified (diff)

comment:2 Changed on 11/03/15 at 19:27:49 by Joel Sherrill

Keywords: obsolete target added

comment:3 Changed on 02/15/17 at 13:50:44 by Sebastian Huber

Owner: set to Joel Sherrill
Status: newassigned

comment:4 Changed on 05/11/17 at 07:31:02 by Sebastian Huber

Milestone: 4.124.12.0

comment:5 Changed on 06/08/17 at 07:26:03 by Sebastian Huber

Resolution: fixed
Status: assignedclosed

comment:6 Changed on 11/09/17 at 06:27:14 by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.